API Docs / Operations / Content Blocks / List ContentBlocks

List ContentBlocks

GET /tenants/{tenant}/contentblocks

Lists all ContentBlocks for the given tenant.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

offset query integer (int32)

Number of records to skip (default: 0). Use with limit for pagination.

Number of records to skip (default: 0). Use with limit for pagination.

limit query integer (int32)

Maximum number of records to return (default: 10, max: 50)

Maximum number of records to return (default: 10, max: 50)

sortBy query enum

Field to sort by.

Name Category UpdatedDate

Field to sort by.

Name Category UpdatedDate

sortDesc query boolean

Sort in descending order (true) or ascending order (false, default)

Sort in descending order (true) or ascending order (false, default)

category query string

Filter content blocks by category

Filter content blocks by category

search query string

Search across content block code and name (minimum 3 characters)

Search across content block code and name (minimum 3 characters)

Responses

401 Unauthorized – Invalid or missing API key

Try it